DEV: Avoid duplication of gems in gemfile.

DEV: Avoid duplication of gems in gemfile.

Follow-up to 08c6a7679d8f74e5b63df167c179388bd9e3e43f

diff --git a/Gemfile b/Gemfile
index efd3fd5..11e2dcb 100644
--- a/Gemfile
+++ b/Gemfile
@@ -177,14 +177,9 @@ group :development do
   gem 'yaml-lint'
 end
 
-if ENV["ALLOW_DEV_POPULATE"] == "1"
+group ENV["ALLOW_DEV_POPULATE"] == "1" ? :production : :development do
   gem 'discourse_dev_assets'
   gem 'faker', "~> 2.16"
-else
-  group :development do
-    gem 'discourse_dev_assets'
-    gem 'faker', "~> 2.16"
-  end
 end
 
 # this is an optional gem, it provides a high performance replacement

GitHub sha: 2818ebd19fc101faba6e28ca09c6d762034dc760

1 Like

This commit appears in #13868 which was approved by CvX. It was merged by tgxworld.